## intranet.tar.bz2

=== Makefile ===
.PHONY: stand delete-stand check-name testing migrations check-dest-db restore_database restore_staff4_database clone_testing

CONFIG = RELEASER_PROJECT_CONFIG=".release.stand.hjson"
source ?= $(name)
BRANCH = $(shell git branch | grep \* | cut -d ' ' -f2)

stand: check-name
	@$(CONFIG) ya tool releaser env-dump -e $(source) --dump .stand.dump || $(CONFIG) ya tool releaser env-dump -e stand --dump .stand.dump
	@$(CONFIG) ya tool releaser stand --standname $(name) --var CONFIG_hosts_staffback_host=staff-$(name).test.tools.yandex-team.ru/api $(args) || true
	@rm .stand.dump

delete-stand: check-name
	@$(CONFIG) ya tool releaser env-delete -e $(name);

check-name:
	@test $(name) || (echo 'Usage: make COMMAND name=STANDNAME'; exit 1)

testing:
	@ya tool releaser build -v $(BRANCH)
	@ya tool releaser push -v $(BRANCH)
	@ya tool releaser deploy -v $(BRANCH)

migrations:
	@docker-compose run backend staff makemigrations --settings=staff.makemigrations_settings $(app)


SOURCE_PASS = PGPASSWORD=$(shell ya vault get version $(shell ya vault list secrets -q staff-prod-psql --json | jq -r ".[0].last_secret_version.version") -o password)
DEST_PASS = PGPASSWORD=$(shell ya vault get version $(shell ya vault list secrets -q staff_database_testing --json | jq -r ".[0].last_secret_version.version") -o password)

SOURCE_HOST = $(shell yc managed-postgresql hosts list --cluster-name staff-prod-psql --format json | jq -r 'map(select(.role == "REPLICA").name)[0]')
DEST_HOST = $(shell yc managed-postgresql hosts list --cluster-name staff-testing-psql --format json | jq -r 'map(select(.role == "MASTER").name)[0]')
SOURCE_DB = staff4
DEST_DB = $(db)
PORT = 6432
LOGIN = staff4

COMPRESSION = --compress=5
NO_PRIVELEGES = --no-owner --no-privileges
CLEAN = --if-exists --clean
FORMAT = --format=c
ONLY_SCHEMA = --schema-only
ONLY_DATA = --data-only
SINGLE_TRANSACTION = --single-transaction

EXCLUDE_TABLES_FOR_TESTING = --exclude-table='public.((rfid_badge*)|(monitorings_fixedemissionevents)|(oebs_storedresponse)|(emission_*)|(vcard_*)|(preprofile_preprofile*)|(preprofile_person*)|(audit_log)|(babylon_log)|(notifications_messagethread)|(budget_position_changeregistry)|(budget_position_workflow)|(departments_headcountposition)|(oebs_headcountposition)|(femida_femidavacancy)|(departments_vacancy))'
EXCLUDE_TABLES_FOR_OEBS    = --exclude-table='public.((monitorings_fixedemissionevents)|(oebs_storedresponse)|(emission_*)|(vcard_*)|(notifications_messagethread)|(budget_position_changeregistry)|(budget_position_workflow)|(femida_femidavacancy)|(departments_vacancy))'

PG_DUMP = $(SOURCE_PASS) pg_dump $(FORMAT) -d $(SOURCE_DB) -h $(SOURCE_HOST) -p $(PORT) -U $(LOGIN)
PG_RESTORE = $(DEST_PASS) pg_restore -d $(DEST_DB) -h $(DEST_HOST) -p $(PORT) -U $(LOGIN) $(NO_PRIVELEGES)

check-dest-db:
	@test $(db) || (echo 'Usage: make clone_testing db=<destination database name>'; exit 1)

restore_database:
	@echo "\033[0;31mGonna\033[0m \033[0;32mCreate\033[0m \033[0;33mDatabase\033[0m \033[0;34m$(DEST_DB)\033[0m"
	@-yc managed-postgresql database create $(DEST_DB) --owner staff4 --lc-collate ru_RU.UTF-8 --lc-type ru_RU.UTF-8 --cluster-name staff-testing-psql --extensions postgis=2.5

	@echo "\033[0;31mGonna\033[0m \033[0;32mDump\033[0m \033[0;33mAnd\033[0m \033[0;34mRestore\033[0m \033[0;35mSchema\033[0m"
	@-$(PG_DUMP) $(COMPRESSION) $(ONLY_SCHEMA) | $(PG_RESTORE) $(CLEAN)

	@echo "\033[0;31mGonna\033[0m \033[0;32mDump\033[0m \033[0;33mAnd\033[0m \033[0;34mRestore\033[0m \033[0;35mData\033[0m"
	@-$(PG_DUMP) $(COMPRESSION) $(EXCLUDE_TABLES_FOR_TESTING) $(ONLY_DATA) | $(PG_RESTORE)

	@echo "\033[0;31mGonna\033[0m \033[0;32mDeploy\033[0m \033[0;33mTesting\033[0m \033[0;34mWith\033[0m \033[0;35mNew\033[0m \033[0;36mDatabase\033[0m"
	@ya tool releaser deploy --var DATABASE_NAME=$(DEST_DB)

# TODO: Кто-нибудь знает как это не копировать?
restore_staff4_database:
	@$(eval DEST_DB := staff4)

	@echo "\033[0;31mGonna\033[0m \033[0;32mDelete\033[0m \033[0;33mDatabase\033[0m \033[0;34m$(DEST_DB)\033[0m"
	@-yc managed-postgresql database delete $(DEST_DB) --cluster-name staff-testing-psql

	@echo "\033[0;31mGonna\033[0m \033[0;32mCreate\033[0m \033[0;33mDatabase\033[0m \033[0;34m$(DEST_DB)\033[0m"
	@-yc managed-postgresql database create $(DEST_DB) --owner staff4 --lc-collate ru_RU.UTF-8 --lc-type ru_RU.UTF-8 --cluster-name staff-testing-psql

	@echo "\033[0;31mGonna\033[0m \033[0;32mDump\033[0m \033[0;33mAnd\033[0m \033[0;34mRestore\033[0m \033[0;35mSchema\033[0m"
	-$(PG_DUMP) $(COMPRESSION) $(ONLY_SCHEMA) | $(PG_RESTORE) $(CLEAN)

	@echo "\033[0;31mGonna\033[0m \033[0;32mDump\033[0m \033[0;33mAnd\033[0m \033[0;34mRestore\033[0m \033[0;35mData\033[0m"
	@-$(PG_DUMP) $(COMPRESSION) $(EXCLUDE_TABLES_FOR_TESTING) $(ONLY_DATA) | $(PG_RESTORE)

	@echo "\033[0;31mGonna\033[0m \033[0;32mDeploy\033[0m \033[0;33mTesting\033[0m \033[0;34mWith\033[0m \033[0;35mNew\033[0m \033[0;36mDatabase\033[0m"
	@ya tool releaser deploy --var DATABASE_NAME=$(DEST_DB)

clone_testing: restore_database restore_staff4_database

=== requirements.txt ===
hypercorn==0.11.2
starlette==0.16.0
ipython==7.28.0
aiopg==1.3.1
SQLAlchemy==1.4.25
pydantic==1.8.2
alembic==1.7.3
ylog==0.50
tvm2==5.0
aiohttp==3.7.4.post0
python-dateutil==2.8.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build -c .
SOURCEDIR     = .
BUILDDIR      = ./_build
# APP = /app
APP = ../lms

.PHONY: help livehtml apidocs Makefile

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Build, watch and serve docs with live reload
livehtml:
	sphinx-autobuild -b html --port 7000 --watch $(APP) -c . $(SOURCEDIR) $(BUILDDIR)/html
#	{%- if cookiecutter.use_docker == 'y' %} --host 0.0.0.0
#	{%- else %} --open-browser
#	{%- endif %} --port 7000 --watch $(APP) -c . $(SOURCEDIR) $(BUILDDIR)/html

# Outputs rst files from django application code
apidocs:
	sphinx-apidoc -o ${SOURCEDIR}/api ${APP} ../**/migrations/**
# 	{%- if cookiecutter.use_docker == 'y' %}
# 	sphinx-apidoc -o $(SOURCEDIR)/api /app
# 	{%- else %}
# 	sphinx-apidoc -o $(SOURCEDIR)/api ../{{cookiecutter.project_slug}}
# 	{%- endif %}

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -b $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== ext_api/Makefile ===
run:
	Y_PYTHON_SOURCE_ROOT="/home/$(USER)/arc/arcadia" src/asgi/trip-ext-api.asgi src.main:app --log-level DEBUG --reload

shell:
	Y_PYTHON_ENTRY_POINT="IPython:start_ipython" src/asgi/trip-ext-api.asgi

VERSION := $(USER)-$(shell date +"%s")
STAGE := tools_trip_$(USER)
stand:
	ya tool releaser stand -s $(STAGE)

testing:
	ya tool releaser stand -s tools_trip_testing

=== external/Makefile ===
all: make_venv

make_venv:
	virtualenv --distribute venv
	venv/bin/pip install --upgrade pip
	venv/bin/pip install --upgrade -i https://pypi.yandex-team.ru/simple distribute==0.6.24
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/requirements.txt
	virtualenv --relocatable venv
	rm venv/lib/python2.7/no-global-site-packages.txt

make_venv_tanker:
	virtualenv --distribute venv
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/requirements.txt
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple django_tanker
	virtualenv --relocatable venv
	rm venv/lib/python2.7/no-global-site-packages.txt

make_messages:
	cd src && granular_environments=tanker ../venv/bin/python manage.py makemessages -l ru -l en --symlinks
	cd src && granular_environments=tanker ../venv/bin/python manage.py tankerupload

load_translations_from_tanker:
	cd src && granular_environments=tanker ../venv/bin/python manage.py tankerdownload
	cd src && granular_environments=tanker ../venv/bin/python manage.py compilemessages

clean:
	rm -rf venv
	rm -f src/external/local_settings.py
	rm -f src/core

dev: links
	virtualenv --distribute venv
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/dev_requirements.txt
	rm venv/lib/python2.7/no-global-site-packages.txt

links:
	if [ ! -L src/core ] ; then \
	    ln -s ../../core src/ ;\
	fi

=== imscore/Makefile ===
CURRENT_SRC := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))

# All ims images
export IMS_IMAGES = $(shell docker images --filter=reference="registry.yandex.net/intranet/ims/imscore/*" -q)

# Imscore image tag
export IMSCORE_IMAGE_TAG = $(shell ya tool dctl get stage imscore-test | awk '/(^| )tag:/ {print $$2}')

# Postgres variables
export POSTGRESQL_USERNAME=imscore
export POSTGRESQL_PASSWORD=imscore
export POSTGRESQL_NAME=imscore

.PHONY: start
start:
	docker-compose -f $(CURRENT_SRC)/backend/service/recipe-local/docker-compose.yml up -d

.PHONY: stop
stop:
	docker-compose -f $(CURRENT_SRC)/backend/service/recipe-local/docker-compose.yml down

.PHONY: clean
clean:
	docker rmi -f ${IMS_IMAGES};

=== internal/Makefile ===
all: make_venv

make_venv:
	virtualenv --distribute venv
	venv/bin/pip install --upgrade pip
	venv/bin/pip install --upgrade -i https://pypi.yandex-team.ru/simple distribute==0.6.24
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/requirements.txt
	virtualenv --relocatable venv
	rm venv/lib/python2.7/no-global-site-packages.txt

make_venv_tanker:
	virtualenv --distribute venv
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/requirements.txt
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple django_tanker
	virtualenv --relocatable venv
	rm venv/lib/python2.7/no-global-site-packages.txt

make_messages:
	cd src && granular_environments=tanker ../venv/bin/python manage.py makemessages -l ru -l en --symlinks
	cd src && granular_environments=tanker ../venv/bin/python manage.py tankerupload

load_translations_from_tanker:
	cd src && granular_environments=tanker ../venv/bin/python manage.py tankerdownload
	cd src && granular_environments=tanker ../venv/bin/python manage.py compilemessages

clean:
	rm -rf venv
	rm -f src/internal/local_settings.py
	rm -f src/core

dev: links
	virtualenv --distribute venv
	venv/bin/pip install -i https://pypi.yandex-team.ru/simple -r src/dev_requirements.txt
	rm venv/lib/python2.7/no-global-site-packages.txt

links:
	if [ ! -L src/core ] ; then \
	    ln -s ../../core src/ ;\
	fi

=== micro/Makefile ===
#!/bin/make -e
releaser ?= ya tool releaser
dctl = ya tool dctl
yamake_prep = ../devtools/yamake_prep/yamake_prep

i ?= simple
v ?= develop

.DEFAULT_GOAL := package
.PHONY: ya package

ya: 
	cd ../devtools && ya make && cd ../micro
	$(yamake_prep) core/src/ya.make.template core/src/ya.make
	$(yamake_prep) core/tests/ya.make.template core/tests/ya.make
	$(yamake_prep) simple/src/ya.make.template simple/src/ya.make
	$(yamake_prep) simple/tests/ya.make.template simple/tests/ya.make

package: ya
	ya package ${i}/build/package.json --docker --docker-repository=tools --docker-push --docker-build-arg="APP_VERSION=${v}" --custom-version=${v}

=== ok/Makefile ===
BASE_STAND_NAME=base
STAND_NAME=$$USER
AWACS_TOKEN=$(shell cat ~/.dctl/token)


dev-install:
	docker-compose build
	docker-compose run --rm server ok migrate
	docker-compose run --rm server ok createsuperuser --username $(USER) --email $(USER)@yandex-team.ru --noinput

dev-run:
	docker-compose up server celery

test:
	docker-compose run --rm tests
	docker-compose run --rm tests_flow

makemessages:
	docker-compose run --rm tests sh -c "cd /src/ok && ok makemessages -l ru -e html,wiki,py"

compilemessages:
	docker-compose run --rm tests sh -c "cd /src/ok && ok compilemessages"

makemigrations:
	docker-compose run --rm tests sh -c "cd /src/ok && ok makemigrations"

stand-stage:
	ya tool dctl get stage tools_ok_stand_$(BASE_STAND_NAME) > $(STAND_NAME).yaml
	sed -i '' "s/stand_$(BASE_STAND_NAME)/stand_$(STAND_NAME)/g" $(STAND_NAME).yaml
	ya tool dctl copy stage ./$(STAND_NAME).yaml tools_ok_stand_$(STAND_NAME)
	rm ./$(STAND_NAME).yaml

stand-upstream:
	sed "s/{STAND_NAME}/$(STAND_NAME)/g" awacs_stand_backend.json > backend_$(STAND_NAME).json
	curl -v -X POST --data-binary "@backend_$(STAND_NAME).json" -H "Authorization: OAuth $(AWACS_TOKEN)" -H "Content-Type: application/json" https://awacs.yandex-team.ru/api/CreateBackend/
	sed "s/{STAND_NAME}/$(STAND_NAME)/g" awacs_stand_upstream.json > upstream_$(STAND_NAME).json
	curl -v -X POST --data-binary "@upstream_$(STAND_NAME).json" -H "Authorization: OAuth $(AWACS_TOKEN)" -H "Content-Type: application/json" https://awacs.yandex-team.ru/api/CreateUpstream/
	rm ./backend_$(STAND_NAME).json ./upstream_$(STAND_NAME).json

# Create stand if you don't have any.
# If you need to change default stand name use: `make stand STAND_NAME=your_stand_name`.
# If you need to copy stand from custom stage use: `make stand BASE_STAND_NAME=your_base_stand_name`.
# If you have stand and just want to deploy code into it use `releaser stand -s stand_name` instead.
stand:
	make stand-stage
	make stand-upstream

=== requirements/requirements.txt ===
--index-url https://pypi.yandex-team.ru/simple/

attrs==19.3.0
boto==2.49.0
boto3==1.12.29
botocore==1.15.29
celery==4.4.6  # pyup: < 5.0,!=4.4.7
django==1.11.29
django-autocomplete-light==3.5.1
django-celery-beat==2.0.0
django-codemirror2==0.2
django-filter==1.1.0
django-filters==0.2.1
django-mathjax==0.0.8
django-model-utils==2.6.1
django-mptt==0.8.7
django-object-actions==2.0.0
django-ordered-model==2.1.0
django-pgaas==0.6.2
django-redis==4.5.0
django-redis-sentinel-redux==0.2.0
django-replicated==2.4
django-sortedm2m==1.5.0
django-storages==1.5.2
django-yauth==5.2
djangorestframework==3.7.7
django-admin-env-notice==0.2
django-admin-view-permission==1.9
django-bulk-update==2.2.0
drf-extensions==0.3.1
drf-nested-routers==0.91
expiringdict==1.1.4
future==0.18.2
granular-settings==1.1
gunicorn==20.1.0
jsonfield==2.0.1
jsonschema==2.6.0
kombu==4.6.10
msgpack-python==0.4.8
networkx==2.2
pillow==7.0.0
premailer==3.0.1
psycopg2==2.8.4
pycurl==7.43.0.5
python-dateutil==2.8.2
qrcode==5.3
redis==2.10.6
redis-py-cluster==1.3.4
requests==2.23.0
rest-condition==1.0.3
tvm2==5.0
unidecode==0.04.20
xlsxwriter==1.2.8
xlwt==1.3.0
yandex-education-donald==0.4.6
pyexcel==0.6.1
pyexcel-xlsx==0.5.8
yql==1.2.97
yandex-yt==0.9.29
django_idm_api==2.13.10
sentry-sdk==0.16.2
errorboosterclient==0.1.0
kikimrclient==0.3.2
ylog==0.50
tqdm==4.62.3
xmltodict==0.12.0
django-simple-history==2.12.0  # https://github.com/jazzband/django-simple-history
startrek_client==2.5 # https://a.yandex-team.ru/arc/trunk/arcadia/library/python/startrek_python_client

=== sftp/Makefile ===
arq:
	Y_PYTHON_SOURCE_ROOT="/home/$(USER)/arc/arcadia" src/arq/trip-sftp.arq src.worker.settings.WorkerSettings

shell:
	Y_PYTHON_ENTRY_POINT="IPython:start_ipython" src/arq/trip-sftp.arq

VERSION := $(USER)-$(shell date +"%s")
STAGE := tools_trip_$(USER)
stand:
	ya tool releaser stand -s $(STAGE)

testing:
	ya tool releaser stand -s tools_trip_testing

=== staff-api/Makefile ===
run:
	ya tool releaser build -v docker-compose
	docker-compose -f docker-compose.yml -f docker-compose.qyp.yml up

=== debian/changelog ===
yandex-tools-idm (117.10) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5554: Функция SystemWrapper.all_users_with_roles() требует слишком много памяти

  [ Alexey Boriskin ]
  * IDM-5542: Поправил ошибку перевода
  * IDM-5542: Поправил забытый импорт
  * IDM-5542: Добавил деталей при ошибке нарушения уникальности при перезапросе роли
  * IDM-5542: Поправил тесты, падающие из-за неверного скоупинга фикстуры
  * IDM-5552: Фильтры get_alike должны повторять фильтры is_unique

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 25 May 2018 21:10:34 +0300

yandex-tools-idm (117.9) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-3942: Не рассылаем уведомления при отзыве задублированной роли

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 May 2018 19:18:58 +0300

yandex-tools-idm (117.8) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5495: Логировать read-only

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 17 May 2018 17:00:10 +0300

yandex-tools-idm (117.7) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5274: Переделал генерацию workflow
  * IDM-5274: Починил пропавшие куски админки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 15 May 2018 23:40:07 +0300

yandex-tools-idm (117.6) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5048: Перевёл тест на simple систему
  * IDM-5048: Дочерние роли не требуют подтверждений

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 21:31:55 +0300

yandex-tools-idm (117.5) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5274: Выгрузка матрицы конфликтов в воркфлоу OEBS (#1393)

  [ Alexey Boriskin ]
  * IDM-3942: Оптимизация миграций: выбираем только pk, увеличил размер пачки

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 18:02:50 +0300

yandex-tools-idm (117.4) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5503: Уменьшить лимиты cgroup

  [ Alexey Boriskin ]
  * IDM-3942: Обновление gitignore
  * IDM-3942: Мокаем gap (походы в него не были замоканы)
  * IDM-3942: Выводим самые медленные тесты
  * IDM-3942: Бросаем SystemExit (чтобы поймать места, где except Exception)
  * IDM-3942: Улучшен запрет на сетевые обращения в юнит-тестах
  * IDM-3942: Добавлено поле is_returnable, created теперь входит в returnable
  * IDM-3942: Функции создания уникальных индексов с where
  * IDM-3942: Создаём уникальные индексы в тестах
  * IDM-3942: Можно запросить 2 одинаковые роли с 1 формы запроса
  * IDM-3942: Изменён подход к локам ролей
  * IDM-3942: Указываем статус существующих ролей тогда, когда это возможно
  * IDM-3942: Новый тест
  * IDM-3942: Для тех фикстур, где это можно сделать, повышен scope до 'session'
  * IDM-3942: Миграции

  [ Vitaly Sopov ]
  * IDM-3942: добавлена команда для удаления дублирующихся ролей
  * IDM-3942: поправлены старые тесты
  * IDM-3942: поправлен неактуальный тест

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 14 May 2018 13:04:53 +0300

yandex-tools-idm (117.3) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5489: Выключаем подпись sid67
  * IDM-5401: Перепрогонять воркфлоу в таске
  * IDM-5415: Ходить в reqwizard с wizclient=idm
  * IDM-5452: Тесты

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 May 2018 20:53:39 +0300

yandex-tools-idm (117.2) testing; urgency=low

  [ Alexey Boriskin ]
  * IDM-5462: Up django-replicated

  [ Alexander Lavrukov ]
  * Fix development config

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Sat, 28 Apr 2018 16:05:38 +0300

yandex-tools-idm (117.1) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5481: Обернуть uwsgi в cgroup

  [ Alexey Boriskin ]
  * Revert "IDM-5468 check master is_alive in get with 20 seconds downtime"

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Fri, 27 Apr 2018 17:42:20 +0300

yandex-tools-idm (117.0) testing; urgency=low

  [ Vitaly Sopov ]
  * IDM-5407: теперь в интрапоиск ходим через отдельную библиотеку

  [ Alexander Lavrukov ]
  * IDM-5447 CharField -> SlugField
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)
  * IDM-5462 django_replicated up
  * IDM-5468 check master is_alive in get with 20 seconds downtime

  [ zivot ]
  * IDM-5048: Остановить рост количества дочерних ролей в статусе "Ошибка" (#1381)

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Apr 2018 19:58:42 +0300

yandex-tools-idm (116.10.1) stable; urgency=low

  * Пересборка

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 08 May 2018 19:51:43 +0300

yandex-tools-idm (116.10) stable; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5503: Уменьшить лимиты cgroup

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 08 May 2018 19:11:58 +0300

yandex-tools-idm (116.9) stable; urgency=low

  [ Alexey Boriskin ]
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)

  [ Vladimir Kutyavin ]
  * IDM-5481: Обернуть uwsgi в cgroup

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Thu, 03 May 2018 15:33:49 +0300

yandex-tools-idm (116.8) stable; urgency=low

  [ Alexey Boriskin ]
  * Revert "IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)"
  * Revert "IDM-5468 check master is_alive in get with 20 seconds downtime"
  * Revert "IDM-5462 django_replicated up"
  * IDM-5489: Выключаем подпись sid67

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Mon, 30 Apr 2018 15:14:28 +0300

yandex-tools-idm (116.7) stable; urgency=low

  [ Alexander Lavrukov ]
  * IDM-5452 remove node is_public check in RoleNodeSet suggest (#1384)
  * IDM-5462 django_replicated up
  * IDM-5468 check master is_alive in get with 20 seconds downtime

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Wed, 25 Apr 2018 20:04:36 +0300

yandex-tools-idm (116.5) testing; urgency=low

  [ Vladimir Kutyavin ]
  * IDM-5182: Поменял метод удаления для сервисов

  [ Alexey Boriskin ]
  * IDM-5412: Разрешаем расхождения для систем с inconsistency_policy == ‘trust’

 -- Alexey Boriskin (uruz) <uruz@yandex-team.ru>  Tue, 03 Apr 2018 16:41:37 +0300



=== emission/debian/changelog ===
python-emission (3.3) unstable; urgency=low

  * STAFF-10327 django 1.9

 -- Aleksandr Stovbyra <shigarus@yandex-team.ru>  Thu, 12 Jul 2019 14:01:15 +0300

python-emission (3.2) unstable; urgency=low

  * STAFF-8195 Исправил импорт

 -- Wladimir Spasskiy <wlame@yandex-team.ru>  Thu, 03 Aug 2017 21:22:15 +0300

python-emission (3.1) unstable; urgency=low

  * STAFF-8195 EMISSION_DATABASE_CHUNK_SIZE_LIMIT

 -- Wladimir Spasskiy <wlame@yandex-team.ru>  Thu, 03 Aug 2017 20:44:13 +0300

python-emission (3.0) unstable; urgency=low

  [ Dmitry Prokofyev ]
  * Рефакторинг и возможность указать дельту для задержки получения сообщений

 -- Dmitry Prokofyev <dmirain@yandex-team.ru>  Fri, 24 Jun 2016 19:12:42 +0300

python-emission (2.15) unstable; urgency=low

  [ Wladimir Spasskiy ]
  * STAFF-6190 перешёл c commit_on_success на transaction.atomic в emission

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 19 Feb 2016 13:50:28 +0300

python-emission (2.14) precise; urgency=low

  * Revert "Убрал cocaine пакет"
  * declare_namespace для cocaine

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Thu, 21 Aug 2014 10:40:05 +0400

python-emission (2.13) unstable; urgency=low

  [ Andrey Bulgakov ]
  * «Это надо через форму сделать, как у slice»

  [ Alex Koshelev ]
  * Убрал cocaine пакет
  * Использование declare_namespace для определения namespace пакета

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 18 Aug 2014 13:51:40 +0400

python-emission (2.12) precise; urgency=low

  * PLAN-3435 Отдаём в ручке meta ещё и сообщение, следующее за указанным

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Fri, 20 Jun 2014 16:07:50 +0400

python-emission (2.11) precise; urgency=low

  * Сначала сортировка, потом разбивка на кусочки

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Thu, 22 May 2014 16:19:21 +0400

python-emission (2.10) precise; urgency=low

  * Разбиваем на куски только Queryset'ы

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Thu, 22 May 2014 15:48:38 +0400

python-emission (2.9) precise; urgency=low

  * Ручки slice и entities-data могут отдавать потоковый multipart/mixed

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Thu, 22 May 2014 13:44:55 +0400

python-emission (2.8) unstable; urgency=low

  * Исправил ImportError в emission.cocaine

 -- Andrey Bulgakov <abulgakov@yandex-team.ru>  Mon, 28 Apr 2014 11:36:57 +0400

python-emission (2.7) unstable; urgency=low

  * Meta ручка с информацией о состоянии

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 29 Jan 2014 16:47:16 +0400

python-emission (2.6-1) unstable; urgency=low

  * Правильная версия в setup.py

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 18 Nov 2013 17:56:04 +0400

python-emission (2.6) unstable; urgency=low

  * creation_time как строчка и выдача его в api

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 18 Nov 2013 17:47:32 +0400

python-emission (2.5) unstable; urgency=low

  * Не ходим по FK при сериализации

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 11 Nov 2013 17:04:36 +0400

python-emission (2.4) unstable; urgency=low

  * Выгрузка всех данных моделей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 05 Nov 2013 18:38:37 +0400

python-emission (2.3) unstable; urgency=low

  * Вешаем сигналы с weak=False

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 16 Jul 2013 19:30:44 +0400

python-emission (2.2) unstable; urgency=low

  * STAFF-2230: Поддержка удаления объектов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 03 Jul 2013 14:23:05 +0400

python-emission (2.1) unstable; urgency=low

  * Рефакторинг тестов
  * Не захватываем логгинг при тестах
  * Фикс расскладки тестов
  * MongoDB клиентской сторадж
  * Тесты вьюхи emission_master

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 24 Jun 2013 18:46:26 +0400

python-emission (2.0.1) unstable; urgency=low

  * Забытый __init__.py в миграциях master'а

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 29 May 2013 20:25:22 +0400

python-emission (2.0) unstable; urgency=low

  [ Alex Koshelev ]
  * Рефакторинг работы с settings
  * Подвинул сериализатор в django бекэнд
  * python-emission не зависит от django

  [ Dmitry Prokofyev ]
  * Весь код сильно перегруппирован и доработан.
  * Забытый setup.py

  [ Alex Koshelev ]
  * Правки после рефакторинга
  * Правильная загрузка моделей
  * Свои урлы
  * Фикс имени настройки с моделью лога
  * Добавил MASTER в имя настройки со списком моделей для репликации
  * Рефакторинг django части. Модели теперь в самом emission
  * Добавил version= в setup.py

  [ Dmitry Prokofyev ]
  * Исправил storage для работы с клиентом.

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 29 May 2013 15:34:15 +0400

python-emission (1.7) lucid; urgency=low

  * тюнинг зависимостей методом научного тыка

 -- Mikhail Petrov <mixael@yandex-team.ru>  Tue, 26 Feb 2013 23:39:36 +0400

python-emission (1.6) lucid; urgency=low

  * тюнинг зависимостей методом научного тыка

 -- Mikhail Petrov <mixael@yandex-team.ru>  Thu, 21 Feb 2013 20:53:52 +0400

python-emission (1.5) lucid; urgency=low

  * тюнинг зависимостей методом научного тыка

 -- Mikhail Petrov <mixael@yandex-team.ru>  Thu, 21 Feb 2013 19:34:23 +0400

python-emission (1.4) lucid; urgency=low

  * Прописал eblob(=0.17.8) в зависимости

 -- Mikhail Petrov <mixael@yandex-team.ru>  Wed, 20 Feb 2013 21:13:12 +0400

python-emission (1.3) lucid; urgency=low

  * Прописал eblob(=0.17) в зависимости

 -- Mikhail Petrov <mixael@yandex-team.ru>  Wed, 20 Feb 2013 21:02:59 +0400

python-emission (1.2) unstable; urgency=low

  * Снял жесткое ограничение версий дилера

 -- Mikhail Petrov <mixael@yandex-team.ru>  Wed, 20 Feb 2013 20:10:57 +0400

python-emission (1.1) unstable; urgency=low

  * Переименовал django_master в master.django
  * Поправил отступы и опечатку в debian/rules
  * Сборка кокопушера в пакет
  * pushers.cocain => pushers.cocaine
  * Актуализированы зависимости
  * Настройка EMISSION_COCAINE_EVENT_TYPE



=== external/debian/changelog ===
yandex-bugbounty-external (3.0.10) unstable; urgency=medium

  * Fix footer.regulations translation

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 16 Mar 2017 11:26:52 +0300

yandex-bugbounty-external (3.0.9) unstable; urgency=medium

  * No changes

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 02 Mar 2017 15:43:45 +0300

yandex-bugbounty-external (3.0.8) unstable; urgency=medium

  * Fix CSP for CAPTCHA

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 02 Mar 2017 11:15:46 +0300

yandex-bugbounty-external (3.0.7) unstable; urgency=medium

  * Add missing avatars origin to img-src
  * Add script nonce for metrika

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 28 Feb 2017 14:23:21 +0300

yandex-bugbounty-external (3.0.6) unstable; urgency=medium

  * Add l7test to ALLOWED_HOSTS
  * Add unsafe-inline to script-src and style-src

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 28 Feb 2017 11:05:18 +0300

yandex-bugbounty-external (3.0.5.1) xenial; urgency=medium

  * Fix path to CSP config

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 27 Feb 2017 17:05:42 +0300

yandex-bugbounty-external (3.0.5) xenial; urgency=medium

  * Configure secure proxy ssl header in production
  * Add django-csp

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 27 Feb 2017 16:25:20 +0300

yandex-bugbounty-external (3.0.4.2) xenial; urgency=medium

  * Fix Dockerfile build order

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 17 Feb 2017 15:27:52 +0300

yandex-bugbounty-external (3.0.4.1) xenial; urgency=medium

  * Switch to Docker containers

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 17 Feb 2017 15:13:51 +0300

yandex-bugbounty-external (2.2.7) precise; urgency=medium

  * Fix distribute==0.6.24

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 14:24:24 +0300

yandex-bugbounty-external (2.2.6) precise; urgency=medium

  * Force setuptools upgrade

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 13:33:34 +0300

yandex-bugbounty-external (2.2.5) precise; urgency=medium

  * Downgrade pycparser
    https://github.com/eliben/pycparser/issues/147

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 13:24:59 +0300

yandex-bugbounty-external (2.2.4) precise; urgency=medium

  * BUGBOUNTY-353 Add more information about no-email user
  * BUGBOUNTY-367 Upgrade Django and other dependancies

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 04 Oct 2016 16:56:34 +0300

yandex-bugbounty-external (2.2.3) precise; urgency=medium

  * BUGBOUNTY-365 Add regulations link
  * BUGBOUNTY-366 Change reporter website

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 13 Sep 2016 19:49:17 +0300

yandex-bugbounty-external (2.2.2) precise; urgency=medium

  * BUGBOUNTY-362 Remove user_login from RewardAPIForm

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 09 Jun 2016 09:57:46 +0300

yandex-bugbounty-external (2.2.1) precise; urgency=medium

  * Add Financial support user group
  * Update translations

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 14 Apr 2016 20:29:44 +0300

yandex-bugbounty-external (2.2.0) precise; urgency=medium

  * Change protocol start date definition
  * Remove private fields from PaymentInfo
  * Log some blackbox errors to Sentry
  * Amend payment info mail template

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 01 Apr 2016 19:41:31 +0300

yandex-bugbounty-external (2.1.10) precise; urgency=medium

  * Verify passwords in payment info view
  * Fix reward list sorting in Browser view

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 30 Mar 2016 11:44:47 +0300

yandex-bugbounty-external (2.1.9) precise; urgency=medium

  * Switch from ticket_created to payment_created in reward list
  * Add translations for 2.1.7

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 25 Mar 2016 16:43:03 +0300

yandex-bugbounty-external (2.1.8) precise; urgency=medium

  * Configure permissions for Browser's rewards
  * Switch to django_idm_api

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 19:49:58 +0300

yandex-bugbounty-external (2.1.7) precise; urgency=medium

  * Update Django to 1.8.11
  * Add Rewards' list for browser managers
  * Add screencast and attachment fields to Report form
  * Remove vulnerability from Report form
  * Amend Product views

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 13:32:50 +0300

yandex-bugbounty-external (2.1.6) precise; urgency=medium

  * Replace department with product in Reward's views
  * Fix some orderings in products

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 12:11:33 +0300

yandex-bugbounty-external (2.1.5) precise; urgency=medium

  * Set scope as non-required in Product form

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 11:20:47 +0300

yandex-bugbounty-external (2.1.4) precise; urgency=medium

  * Fix some Product related html

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 11:15:40 +0300

yandex-bugbounty-external (2.1.3) precise; urgency=medium

  * Disable django_replicated
  * Replace departments with products in protocols

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 18 Mar 2016 19:02:50 +0300

yandex-bugbounty-external (2.1.2) precise; urgency=medium

  * Fix bug BUGBOUNTY-350
  * Replace departments with products BUGBOUNTY-339
  * Set Reward.user_uid as nullable field

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 18 Mar 2016 13:18:41 +0300

yandex-bugbounty-external (2.1.1) precise; urgency=medium

  * Add command transliterate_foreigners
  * Fix transliterate package

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 14 Mar 2016 14:36:36 +0300

yandex-bugbounty-external (2.1.0) precise; urgency=medium

  * Update Django to 1.8.9
  * Make Reward.vulnerability_type a required field
  * Switch to common template for badges' emails
  * Mark inactive badges on user profile page
  * Add Reward.ticket_number as optional field

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 04 Mar 2016 15:18:35 +0300



=== front/external/debian/changelog ===
yandex-bugbounty-external-front (0.3.19) precise; urgency=medium

  * BUGBOUNTY-365 Add footer__links link style

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 13 Sep 2016 19:47:40 +0300

yandex-bugbounty-external-front (0.3.18) precise; urgency=medium

  * Add payment info notice

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 01 Apr 2016 19:38:02 +0300

yandex-bugbounty-external-front (0.3.17) precise; urgency=medium

  * Add browser_form_reward_filter hanlder
  * Reduce max file size limits for uploads to 5 MB

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 13:34:47 +0300

yandex-bugbounty-external-front (0.3.16) precise; urgency=medium

  * Update Django admin static files to 1.8.x

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 17 Mar 2016 16:38:48 +0300

yandex-bugbounty-external-front (0.3.15) precise; urgency=medium

  * Switch to local npm registry
  * Change award__counter
  * Rename ubadge -> award in internal

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 04 Mar 2016 17:18:57 +0300

yandex-bugbounty-external-front (0.3.14) precise; urgency=medium

  * Rename ubadge -> award
  * Add award__counter

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 15 Dec 2015 17:15:10 +0300

yandex-bugbounty-external-front (0.3.13) precise; urgency=medium

  * Add user badge styles

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 09 Dec 2015 13:53:45 +0300

yandex-bugbounty-external-front (0.3.12) precise; urgency=medium

  * Update payment-info related code

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 13 Nov 2015 17:39:39 +0300

yandex-bugbounty-external-front (0.3.11) precise; urgency=medium

  * Modify hall-of-fame url

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 29 Sep 2015 17:56:22 +0300

yandex-bugbounty-external-front (0.3.10) precise; urgency=medium

  * Replace resident form with resident fields

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 03 Jul 2015 16:49:08 +0300

yandex-bugbounty-external-front (0.3.9) unstable; urgency=medium

  * Fix tablesorter plugin

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 03 Jun 2015 19:40:30 +0300

yandex-bugbounty-external-front (0.3.8) unstable; urgency=medium

  * Change static files according to new protocol generation

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 01 Jun 2015 15:47:14 +0300

yandex-bugbounty-external-front (0.3.7) unstable; urgency=medium

  * Replace logo image with SVG 

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 27 May 2015 14:17:39 +0300

yandex-bugbounty-external-front (0.3.6) unstable; urgency=medium

  * Feedback urls

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 19 Mar 2015 12:04:26 +0300

yandex-bugbounty-external-front (0.3.5) unstable; urgency=medium

  * Icons
  * Staticfiles

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 25 Feb 2015 12:38:51 +0300

yandex-bugbounty-external-front (0.3.4) unstable; urgency=medium

  * Styles

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 13 Feb 2015 13:39:34 +0300

yandex-bugbounty-external-front (0.3.3) unstable; urgency=medium

  * Badge delete button

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 27 Jan 2015 16:57:49 +0300

yandex-bugbounty-external-front (0.3.2) unstable; urgency=medium

  * Color for sup stars

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 12 Jan 2015 13:14:38 +0300

yandex-bugbounty-external-front (0.3.1) unstable; urgency=medium

  * Color for required fields

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 08 Jan 2015 16:44:42 +0300

yandex-bugbounty-external-front (0.3.0) unstable; urgency=medium

  * error div fixed

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 04 Nov 2014 12:41:10 +0300

yandex-bugbounty-external-front (0.2.9) unstable; urgency=medium

  * templates fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 03 Nov 2014 17:58:48 +0300

yandex-bugbounty-external-front (0.2.8) unstable; urgency=medium

  * production fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 31 Oct 2014 16:26:58 +0300

yandex-bugbounty-external-front (0.2.7) unstable; urgency=medium

  * prefinal fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 30 Oct 2014 15:25:56 +0300

yandex-bugbounty-external-front (0.2.6) unstable; urgency=medium

  * /bugbounty/ prefix fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 30 Oct 2014 12:20:49 +0300

yandex-bugbounty-external-front (0.2.5) unstable; urgency=medium

  * markup fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 29 Oct 2014 22:10:12 +0300

yandex-bugbounty-external-front (0.2.4) unstable; urgency=medium

  * fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 28 Oct 2014 19:10:09 +0300

yandex-bugbounty-external-front (0.2.3) unstable; urgency=medium

  * Bug fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 22 Oct 2014 18:03:11 +0400

yandex-bugbounty-external-front (0.2.2) unstable; urgency=medium

  * Images added
  * Captcha fixed

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 13 Oct 2014 17:56:33 +0400

yandex-bugbounty-external-front (0.2.1) unstable; urgency=medium

  * Bug fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 03 Oct 2014 16:13:29 +0400

yandex-bugbounty-external-front (0.2.0) unstable; urgency=medium

  * Markup fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 24 Sep 2014 16:32:22 +0400

yandex-bugbounty-external-front (0.1.9) unstable; urgency=medium

  * Popup
  * Captcha
  * Bug fixes.

 -- Serge Yaskevich <yaskevich@yandex-team.ru>  Fri, 19 Sep 2014 12:12:33 +0300

yandex-bugbounty-external-front (0.1.5) unstable; urgency=medium

  * Bug fixes.

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 01 Sep 2014 17:53:42 +0400

yandex-bugbounty-external-front (0.1.4) unstable; urgency=medium

  * Bug fixes.



=== front/internal/debian/changelog ===
yandex-bugbounty-internal-front (0.3.19) precise; urgency=medium

  * BUGBOUNTY-365 Add footer__links link style

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 13 Sep 2016 19:46:53 +0300

yandex-bugbounty-internal-front (0.3.18) precise; urgency=medium

  * Add payment info notice

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 01 Apr 2016 19:37:50 +0300

yandex-bugbounty-internal-front (0.3.17) precise; urgency=medium

  * Add browser_form_reward_filter hanlder
  * Reduce max file size limits for uploads to 5 MB

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 13:33:44 +0300

yandex-bugbounty-internal-front (0.3.16) precise; urgency=medium

  * Update Django admin static files to 1.8.x

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 17 Mar 2016 16:38:16 +0300

yandex-bugbounty-internal-front (0.3.15) precise; urgency=medium

  * Switch to local npm registry
  * Change award__counter
  * Rename ubadge -> award in internal

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 04 Mar 2016 17:17:32 +0300

yandex-bugbounty-internal-front (0.3.14) precise; urgency=medium

  * Rename ubadge -> award
  * Add award__counter

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 15 Dec 2015 17:14:47 +0300

yandex-bugbounty-internal-front (0.3.13) precise; urgency=medium

  * Add user badge styles

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 09 Dec 2015 13:53:31 +0300

yandex-bugbounty-internal-front (0.3.12) precise; urgency=medium

  * Update payment-info related code

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 13 Nov 2015 17:39:28 +0300

yandex-bugbounty-internal-front (0.3.11) precise; urgency=medium

  * Modify hall-of-fame url

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 29 Sep 2015 17:56:06 +0300

yandex-bugbounty-internal-front (0.3.10) precise; urgency=medium

  * Replace resident form with resident fields

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 03 Jul 2015 16:48:53 +0300

yandex-bugbounty-internal-front (0.3.9) unstable; urgency=medium

  * Fix tablesorter plugin

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 03 Jun 2015 19:40:14 +0300

yandex-bugbounty-internal-front (0.3.8) unstable; urgency=medium

  * Change statis files according to new protocol generation

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 01 Jun 2015 15:46:20 +0300

yandex-bugbounty-internal-front (0.3.7) unstable; urgency=medium

  * Replace logo image with SVG 

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 27 May 2015 14:17:05 +0300

yandex-bugbounty-internal-front (0.3.6) unstable; urgency=medium

  * Feedback urls

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 19 Mar 2015 12:03:50 +0300

yandex-bugbounty-internal-front (0.3.5) unstable; urgency=medium

  * Icons
  * Staticfiles

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 25 Feb 2015 12:38:12 +0300

yandex-bugbounty-internal-front (0.3.4) unstable; urgency=medium

  * Styles

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 13 Feb 2015 13:39:56 +0300

yandex-bugbounty-internal-front (0.3.3) unstable; urgency=medium

  * Badge delete button

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 27 Jan 2015 16:58:19 +0300

yandex-bugbounty-internal-front (0.3.2) unstable; urgency=medium

  * Color for sup stars

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 12 Jan 2015 13:15:24 +0300

yandex-bugbounty-internal-front (0.3.1) unstable; urgency=medium

  * Color for required fields

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 08 Jan 2015 16:45:19 +0300

yandex-bugbounty-internal-front (0.3.0) unstable; urgency=medium

  * error div fixed

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 04 Nov 2014 12:41:54 +0300

yandex-bugbounty-internal-front (0.2.9) unstable; urgency=medium

  * templates fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 03 Nov 2014 17:59:20 +0300

yandex-bugbounty-internal-front (0.2.8) unstable; urgency=medium

  * production fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 31 Oct 2014 16:27:27 +0300

yandex-bugbounty-internal-front (0.2.7) unstable; urgency=medium

  * prefinal fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Thu, 30 Oct 2014 15:26:25 +0300

yandex-bugbounty-internal-front (0.2.5) unstable; urgency=medium

  * markup fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 29 Oct 2014 22:10:37 +0300

yandex-bugbounty-internal-front (0.2.4) unstable; urgency=medium

  * fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Tue, 28 Oct 2014 19:10:38 +0300

yandex-bugbounty-internal-front (0.2.3) unstable; urgency=medium

  * Bug fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 22 Oct 2014 18:03:45 +0400

yandex-bugbounty-internal-front (0.2.2) unstable; urgency=medium

  * Images added
  * Captcha fixed

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 13 Oct 2014 17:57:11 +0400

yandex-bugbounty-internal-front (0.2.1) unstable; urgency=medium

  * Bug fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Fri, 03 Oct 2014 16:14:01 +0400

yandex-bugbounty-internal-front (0.2.0) unstable; urgency=medium

  * Markup fixes

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 24 Sep 2014 16:33:03 +0400

yandex-bugbounty-internal-front (0.1.9) unstable; urgency=medium

  * Bug fixes.

 -- Serge Yaskevich <yaskevich@yandex-team.ru>  Fri, 19 Sep 2014 12:12:59 +0300

yandex-bugbounty-internal-front (0.1.5) unstable; urgency=medium

  * Bug fixes.

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Mon, 01 Sep 2014 17:53:11 +0400

yandex-bugbounty-internal-front (0.1.4) unstable; urgency=medium

  * Bug fixes.

 -- Raman Mazhuts <yaroman@yasap-dev.search.yandex.net>  Wed, 20 Aug 2014 17:38:30 +0400

yandex-bugbounty-internal-front (0.1.3) unstable; urgency=low

  * Save and cancel buttons inactive, while info not changed



=== internal/debian/changelog ===
yandex-bugbounty-internal (3.0.10) unstable; urgency=medium

  * Fix footer.regulations translation

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 16 Mar 2017 11:26:16 +0300

yandex-bugbounty-internal (3.0.9) unstable; urgency=medium

  * Add rest_framework

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 02 Mar 2017 15:43:31 +0300

yandex-bugbounty-internal (3.0.8) unstable; urgency=medium

  * Add fonts for PDF generation

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 02 Mar 2017 11:14:28 +0300

yandex-bugbounty-internal (3.0.7) unstable; urgency=medium

  * Add missing avatars origin to img-src
  * Add script nonce for metrika

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 28 Feb 2017 14:22:40 +0300

yandex-bugbounty-internal (3.0.6) unstable; urgency=medium

  * Add l7test to ALLOWED_HOSTS
  * Add unsafe-inline to script-src and style-src

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 28 Feb 2017 11:04:10 +0300

yandex-bugbounty-internal (3.0.5.1) xenial; urgency=medium

  * Fix path to CSP config

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 27 Feb 2017 17:05:08 +0300

yandex-bugbounty-internal (3.0.5) xenial; urgency=medium

  * Configure secure proxy ssl header in production
  * Add django-csp

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 27 Feb 2017 16:23:54 +0300

yandex-bugbounty-internal (3.0.4.2) xenial; urgency=medium

  * Fix Dockerfile build order

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 17 Feb 2017 15:27:28 +0300

yandex-bugbounty-internal (3.0.4.1) xenial; urgency=medium

  * Switch to Docker containers

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 17 Feb 2017 15:12:55 +0300

yandex-bugbounty-internal (2.2.7) precise; urgency=medium

  * Fix distribute==0.6.24

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 14:23:55 +0300

yandex-bugbounty-internal (2.2.6) precise; urgency=medium

  * Force setuptools upgrade

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 13:33:27 +0300

yandex-bugbounty-internal (2.2.5) precise; urgency=medium

  * Downgrade pycparser
    https://github.com/eliben/pycparser/issues/147

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 05 Oct 2016 13:24:36 +0300

yandex-bugbounty-internal (2.2.4) precise; urgency=medium

  * BUGBOUNTY-353 Add more information about no-email user
  * BUGBOUNTY-367 Upgrade Django and other dependancies

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 04 Oct 2016 16:55:34 +0300

yandex-bugbounty-internal (2.2.3) precise; urgency=medium

  * BUGBOUNTY-365 Add regulations link
  * BUGBOUNTY-366 Change reporter website

 -- Sergey Kovalev <remedy@yandex-team.ru>  Tue, 13 Sep 2016 19:48:53 +0300

yandex-bugbounty-internal (2.2.2) precise; urgency=medium

  * BUGBOUNTY-362 Remove user_login from RewardAPIForm

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 09 Jun 2016 09:57:23 +0300

yandex-bugbounty-internal (2.2.1) precise; urgency=medium

  * Add Financial support user group
  * Update translations

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 14 Apr 2016 20:28:45 +0300

yandex-bugbounty-internal (2.2.0) precise; urgency=medium

  * Change protocol start date definition
  * Remove private fields from PaymentInfo
  * Log some blackbox errors to Sentry
  * Amend payment info mail template

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 01 Apr 2016 19:39:25 +0300

yandex-bugbounty-internal (2.1.10) precise; urgency=medium

  * Verify passwords in payment info view
  * Fix reward list sorting in Browser view

 -- Sergey Kovalev <remedy@yandex-team.ru>  Wed, 30 Mar 2016 11:43:31 +0300

yandex-bugbounty-internal (2.1.9) precise; urgency=medium

  * Switch from ticket_created to payment_created in reward list
  * Add translations for 2.1.7

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 25 Mar 2016 16:41:13 +0300

yandex-bugbounty-internal (2.1.8) precise; urgency=medium

  * Configure permissions for Browser's rewards
  * Switch to django_idm_api

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 19:48:31 +0300

yandex-bugbounty-internal (2.1.7) precise; urgency=medium

  * Update Django to 1.8.11
  * Add Rewards' list for browser managers
  * Add screencast and attachment fields to Report form
  * Remove vulnerability from Report form
  * Amend Product views

 -- Sergey Kovalev <remedy@yandex-team.ru>  Thu, 24 Mar 2016 13:27:29 +0300

yandex-bugbounty-internal (2.1.6) precise; urgency=medium

  * Replace department with product in Reward's views
  * Fix some orderings in products

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 12:10:33 +0300

yandex-bugbounty-internal (2.1.5) precise; urgency=medium

  * Set scope as non-required in Product form

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 11:20:14 +0300

yandex-bugbounty-internal (2.1.4) precise; urgency=medium

  * Fix some Product related html

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 21 Mar 2016 11:15:23 +0300

yandex-bugbounty-internal (2.1.3) precise; urgency=medium

  * Disable django_replicated
  * Replace departments with products in protocols

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 18 Mar 2016 19:02:03 +0300

yandex-bugbounty-internal (2.1.2) precise; urgency=medium

  * Fix bug BUGBOUNTY-350
  * Replace departments with products BUGBOUNTY-339
  * Set Reward.user_uid as nullable field

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 18 Mar 2016 13:15:41 +0300

yandex-bugbounty-internal (2.1.1) precise; urgency=medium

  * Add command transliterate_foreigners
  * Fix transliterate package

 -- Sergey Kovalev <remedy@yandex-team.ru>  Mon, 14 Mar 2016 14:35:57 +0300

yandex-bugbounty-internal (2.1.0) precise; urgency=medium

  * Update Django to 1.8.9
  * Make Reward.vulnerability_type a required field
  * Switch to common template for badges' emails
  * Mark inactive badges on user profile page
  * Add Reward.ticket_number as optional field

 -- Sergey Kovalev <remedy@yandex-team.ru>  Fri, 04 Mar 2016 15:13:00 +0300



=== libra/media/lego/tools/dh-make-ystatic/debian/changelog ===
yandex-dh-make-ystatic (1.0.1) stable; urgency=low

  * Некоторые шеллы не умеют раскрывать {} в последовательность аргументов,
    придётся не использовать {} :-(

 -- Sergey Berezhnoy <veged@yandex-team.ru>  Tue, 17 Mar 2009 17:27:08 +0300

yandex-dh-make-ystatic (1.0.0) stable; urgency=low

  * Initial release.

 -- Sergey Berezhnoy <veged@yandex-team.ru>  Fri,  6 Mar 2009 13:20:17 +0300

=== emission/debian/control ===
Source: python-emission
Section: python
Priority: extra
Maintainer: Tools Dev <tools-dev@yandex-team.ru>
Build-Depends:
 debhelper (>= 7),
 python (>= 2.7) | dh-python,
 python-setuptools,
X-Python-Version: >= 2.7
Standards-Version: 3.9.3
Homepage: https://github.yandex-team.ru/tools/emission

Package: python-emission
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-pkg-resources,
Provides: ${python:Provides},
Conflicts: python-emission.django, python-emission.cocaine, python-emission.mongodb
Replaces: python-emission.django, python-emission.cocaine, python-emission.mongodb
XB-Python-Version: ${python:Versions}
Description: Emission system code

=== external/debian/control ===
Source: yandex-bugbounty-external
Section: misc
Priority: optional
Maintainer: Serge Yaskevich <yaskevich@yandex-team.ru>
Build-Depends: debhelper (>= 7.0.50~),
 build-essential,
 python-dev,
 python-virtualenv,
 yandex-dh-noconffiles,
 libffi-dev,
 libssl-dev,
Standards-Version: 3.9.2
XS-Python-Version: >= 2.7

Package: yandex-bugbounty-external
Architecture: all
Pre-Depends: pwgen,
Depends: ${python:Depends},
 ${misc:Depends},
 ${shlibs:Depends}, 
 ylog-syslog-ng-conf-3.3 | ylog-syslog-ng-conf | ylog-rsyslog-conf,
 logrotate,
 yandex-environment,
 python-mysqldb,
 supervisor
XB-Python-Version: ${python:Versions}
Description: Django app for yandex bugbounty.

=== front/external/debian/control ===
Source: yandex-bugbounty-external-front
Section: misc
Priority: optional
Maintainer: Serge Yaskevich <yaskevich@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: http://yandex.ru

Package: yandex-bugbounty-external-front
Architecture: all
Depends: ${misc:Depends}
Description: Frontend for external bugbounty app.
 Package contains static files for external bugbounty app.

=== front/internal/debian/control ===
Source: yandex-bugbounty-internal-front
Section: misc
Priority: optional
Maintainer: Serge Yaskevich <yaskevich@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4
Homepage: http://yandex.ru

Package: yandex-bugbounty-internal-front
Architecture: all
Depends: ${misc:Depends}
Description: Frontend for internal bugbounty app.
 Package contains static files for internal bugbounty app.

=== internal/debian/control ===
Source: yandex-bugbounty-internal
Section: misc
Priority: optional
Maintainer: Serge Yaskevich <yaskevich@yandex-team.ru>
Build-Depends: debhelper (>= 7.0.50~),
 build-essential,
 python-dev,
 python-virtualenv,
 yandex-dh-environment,
 yandex-dh-noconffiles,
 libffi-dev,
 libssl-dev,
Standards-Version: 3.9.2
XS-Python-Version: >= 2.7

Package: yandex-bugbounty-internal
Architecture: all
Pre-Depends: pwgen,
Depends: ${python:Depends},
 ${misc:Depends},
 ${shlibs:Depends}, 
 ylog-syslog-ng-conf-3.3 | ylog-syslog-ng-conf | ylog-rsyslog-conf,
 yandex-environment,
 python-mysqldb,
 yandex-environment-intranet,
 supervisor,
XB-Python-Version: ${python:Versions}
Description: Django app for yandex bugbounty.

=== libra/media/lego/tools/dh-make-ystatic/debian/control ===
Source: yandex-dh-make-ystatic
Section: yandex
Priority: optional
Maintainer: Sergey Berezhnoy <veged@yandex-team.ru>

Package: yandex-dh-make-ystatic
Section: yandex
Priority: optional
Depends: libtemplate-perl, devscripts
Architecture: all
Description: Script to Debianize static files for use on static.yandex.net
  Script to Debianize static files for use on static.yandex.net

=== external/debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE=.git

override_dh_installdeb:
	dh_installdeb
	dh_noconffiles --all

binary:
	dh $@ --with environment

%:
	dh $@

=== libra/media/lego/tools/dh-make-ystatic/debian/rules ===
#!/usr/bin/make -f
# vim: noet

PACKAGE=$(shell dh_listpackages)
DESTDIR=$(CURDIR)/debian/$(PACKAGE)

# don't make clean && make while debuilding!
clean:
	dh_clean
build:
	true

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p $(DESTDIR)/usr/bin
	cp $(CURDIR)/dh-make-ystatic $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/yandex-dh-make-ystatic
	cp -r $(CURDIR)/debian.tt2 $(DESTDIR)/usr/share/yandex-dh-make-ystatic


binary: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_clearvcs
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: install binary
